import pathlib
from setuptools import setup, find_packages

# The directory containing this file
dir = pathlib.Path(__file__).parent

# README file
README = (dir / "README.md").read_text()

# Dependencies
with open('requirements.txt') as f:
    requirements = f.readlines()

setup(
    name='spatial-moto',
    version="0.0.06",
    packages=["spatialmoto"],
    author="Walid Ghariani",
    description=("spatial-moto: test 1"),
    long_description=README,
    #long_description_content_type="text/markdown",
    license="MIT",
    keywords="spatial",
    url="https://github.com/WalidGharianiEAGLE/spatial-moto",

    #packages=find_packages(),
    package_data={'spatialmoto': ['./data/*.geojson']},
    include_package_data=True,

    # Dependencies
    install_requires = requirements,
    python_requires='>=3.7',
 
    # Classifiers
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Science/Research',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
    ],

    # testing
    setup_requires=['pytest-runner'],
    tests_require=['pytest']
)